import React from "react";
import { Link } from "react-router-dom";

import logo from "../../assets/12345.jpeg";
import { Button } from "../button";
import { withRouter, Redirect } from "react-router-dom";

import "./style.scss";

class Header extends React.Component {
	constructor(props) {
		super(props);
		// console.log("constructor HEADER");
		this.state = { login: false };
	}

	// componentDidMount() {
	// 	console.log("componentDidMount HEADER");
	// }

	logIn = () =>
		new Promise(resolve => {
			setTimeout(() => {
				this.setState(prevState => ({ ...prevState, login: !prevState.login }));
			}, 2000);
		});

	logOut = () =>
		new Promise(resolve => {
			setTimeout(() => {
				this.setState(prevState => ({ ...prevState, login: !prevState.login }));
			}, 2000);
		});

	emptyClick = () => {
		this.props.history.push("/sdasdfhghjutyhtgrfedvgbv");
	};

	render() {
		const { login } = this.state;
		const { randomNumber } = this.props;

		if (randomNumber < 50) {
			// return this.props.history.push("/sdasdfhghjutyhtgrfedvgbv");
			// return <Redirect to="/iii33i3i3ii33i3i3i" />;
		}

		// console.log("THIS>, HEADER", this.props);
		return (
			<header className="header">
				<div className="header__logo-box">
					<img src={logo} alt="logo" className="header__logo" />
				</div>

				<nav>
					<ul>
						<li>
							<Link
								to={{
									pathname: "/",
									search: "?name=Tony&age=55"
								}}>
								Main
							</Link>
						</li>
						<li>
							<Link to="/about-us">About us</Link>
						</li>
						<li>
							<Link to="/todo">Todo</Link>
						</li>
						<li>
							<Link to="/auth">Auth</Link>
						</li>
					</ul>
				</nav>

				<div>Random - {randomNumber}</div>

				<button onClick={this.emptyClick}>404 page</button>

				{login ? (
					<Button className="header__button" onClick={this.logOut}>
						Log Out
					</Button>
				) : (
					<Button className="header__button" onClick={this.logIn}>
						Log In
					</Button>
				)}
				{/* <Button onClick={this.logIn}>Log In</Button> 
			<Button onClick={this.logOut}>Log Out</Button>  */}
			</header>
		);
	}
}

export default withRouter(Header);
