import React from "react";
import { Switch, Route } from "react-router-dom";

import Layout from "./components/layout";
import Main from "./containers/main";
import Item from "./containers/item";
import AboutUs from "./containers/aboutUs";
import Todo from "./containers/todo";
import Auth from "./containers/auth";

export const Router = () => {
	return (
		<Switch>
			<Route
				exact
				path="/"
				render={props => (
					<Layout footer={false} wrapperClassName="main">
						<Main {...props} />
					</Layout>
				)}
			/>
			<Route
				exact
				path="/auth"
				render={props => (
					<Layout footer={false} wrapperClassName="main">
						<Auth {...props} />
					</Layout>
				)}
			/>
			<Route
				exact
				path="/todo"
				render={props => (
					<Layout footer={false} wrapperClassName="main">
						<Todo {...props} />
					</Layout>
				)}
			/>
			<Route
				exact
				path="/item/:id"
				render={props => (
					<Layout footer={false} wrapperClassName="main">
						<Item {...props} />
					</Layout>
				)}
			/>
			<Route exact path="/about-us" component={AboutUs} />
			<Route
				exact
				render={() => (
					<Layout footer={false} wrapperClassName="main">
						<div>Page not found</div>
					</Layout>
				)}
			/>
		</Switch>
	);
};
